Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05834 Sound Minor Always Jan 29, 2015, 12:32 May 29, 2015, 22:16
Tester Fujix View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver galaxian.cpp
Version 0.158 Fixed in Version 0.163 Build 64-bit
Summary 05834: jumpbug, zigzag: Music and sound pitch is wrong.
Description This report was originally posted to my site from an anonymous guy.

According to the real arcade capture:
and

sound pitch is higher than the original.

Here is a fix:
- jumpbug
/src/mame/drivers/galaxian.c

line 5223
MCFG_SOUND_ADD("8910.0", AY8910, 1789750)
->
MCFG_SOUND_ADD("8910.0", AY8910, GALAXIAN_PIXEL_CLOCK/3/4)	// 1.536MHz


- zigzag
/src/mame/drivers/galaxian.c

line 5145
MCFG_SOUND_ADD("8910.0", AY8910, 1789750)
->
MCFG_SOUND_ADD("8910.0", AY8910, GALAXIAN_PIXEL_CLOCK/3/2)	// 3.072MHz
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems jumpbug, zigzag
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.11679
Fujix
Administrator
May 27, 2015, 12:00
jumpbug was fixed in 0.161